BillingItemType
Returns a list of all BillingItemType
GET/api/invoice/billingitemtypes
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all BillingItemTypearray<BillingItemType>
Show fields (12)
idintegerPrimary key of the billing item type. Internal ID.
namestringName of the billing item type.
fixed_price_addon_one_namestringName of the first fixed price addon.
fixed_price_addon_two_namestringName of the second fixed price addon.
fixed_price_addon_one_name_personstringName of the first fixed price addon for persons.
fixed_price_addon_two_name_personstringName of the second fixed price addon for persons.
categorystringrequiredCategory of the billing item type.
Allowed:
projectsubscriptionbookableeventshippinglocationtypestringrequiredType of the billing item type.
Allowed:
subscriptionbookable-hourevent-fixedslahoursdaysfixedinternalunitstringUnit of the billing item type, for example piece or hour.
force_repeatingbooleanItems of this type always repeat.
can_repeatbooleanItems of this type can repeat.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/billingitemtypes \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/billingitemtypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/billingitemtypes"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/billingitemtypes', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/billingitemtypes"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/billingitemtypes")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/billingitemtypes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/invoice/billingitemtypes'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);[
{
"category": "project",
"type": "subscription",
"id": 42,
"name": "Beispiel",
"fixed_price_addon_one_name": "Beispiel",
"fixed_price_addon_two_name": "Beispiel",
"fixed_price_addon_one_name_person": "string",
"fixed_price_addon_two_name_person": "string",
"unit": "string",
"force_repeating": true
}
]